### Constructor

# EvinceDocument TransitionEffect new

#### Declaration [src]

    EvTransitionEffect*
    ev_transition_effect_new (
      EvTransitionEffectType type,
      const gchar* first_property_name,
      ...
    )

#### Description

No description available.

This constructor is not directly available to language bindings

#### Parameters

`type` | `EvTransitionEffectType`
| No description available.
`first_property_name` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`...` | ``
| No description available.

#### Return value

Returns: | `EvTransitionEffect`
| No description available.
| The caller of the function takes ownership of the data, and is responsible for freeing it.